<?xml version="1.0" encoding="UTF-8"?>
<component id="tarifas_gmfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Tarifas</title>
    <rows>280</rows>
    <width>1500</width>
    <height>800</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        <table>sdm_tarifas</table>
        <id_field>c16_tarifa_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>v32_temp_id</temp_id_field>
        <select_fields>c16_tarifa_id,c8_tributo_id,c1_tipo_tarifa_id,c2_codigo_id,c1_frecuencia_tarifa_id,c1_composicion_tarifa_id,v128_tarifa,d82_tarifa,v64_codigo,txt_comentario,dt_desde,c16_cuenta_recurso_id,c16_cuenta_recurso_futuro_id,c16_cuenta_recurso_pasado_id,c16_cuenta_obligacion_id,c16_cuenta_obligacion_futuro_id,c16_cuenta_obligacion_pasado_id,c16_cuenta_ingreso_id,c16_cuenta_caja_id,ts_update,ts_in</select_fields>
        <insert_fields>c16_tarifa_id,c8_tributo_id,c1_tipo_tarifa_id,c2_codigo_id,c1_frecuencia_tarifa_id,c1_composicion_tarifa_id,v128_tarifa,d82_tarifa,v64_codigo,txt_comentario,dt_desde,c16_cuenta_recurso_id,c16_cuenta_recurso_futuro_id,c16_cuenta_recurso_pasado_id,c16_cuenta_obligacion_id,c16_cuenta_obligacion_futuro_id,c16_cuenta_obligacion_pasado_id,c16_cuenta_ingreso_id,c16_cuenta_caja_id,ts_in</insert_fields>
        <update_fields>c16_tarifa_id,c8_tributo_id,c1_tipo_tarifa_id,c2_codigo_id,c1_frecuencia_tarifa_id,c1_composicion_tarifa_id,v128_tarifa,d82_tarifa,v64_codigo,txt_comentario,dt_desde,c16_cuenta_recurso_id,c16_cuenta_recurso_futuro_id,c16_cuenta_recurso_pasado_id,c16_cuenta_obligacion_id,c16_cuenta_obligacion_futuro_id,c16_cuenta_obligacion_pasado_id,c16_cuenta_ingreso_id,c16_cuenta_caja_id</update_fields>
        <delete_fields>c16_tarifa_id</delete_fields>     
        <needed_fields>c16_tarifa_id,c8_tributo_id,v128_tarifa,dt_desde,c16_cuenta_ingreso_id,c1_tipo_tarifa_id</needed_fields>
        <order_by>c16_tarifa_id</order_by>
        <direction>asc</direction>
        <offset>0</offset>
        <limit>100</limit>
        <detail>
            <table>sdd_tarifas</table>
            <id_field>c16_tarifa_id</id_field>
            <delete>YES</delete>
        </detail>        
        <select_labels id="c1_frecuencia_tarifa_id">
            <table>sdm_frecuencia_tarifas</table>
            <id_field>c1_frecuencia_tarifa_id</id_field>
            <fields>v64_frecuencia_tarifa</fields>
            <document_fields>v64_frecuencia_tarifa</document_fields>
        </select_labels>
        <select_labels id="c1_composicion_tarifa_id">
            <table>sdm_composicion_tarifas</table>
            <id_field>c1_composicion_tarifa_id</id_field>
            <fields>v64_composicion_tarifa</fields>
            <document_fields>v64_composicion_tarifa</document_fields>
        </select_labels>        
        <select_labels id="c8_tributo_id">
            <table>sdm_tributos</table>
            <id_field>c8_tributo_id</id_field>
            <fields>v64_tributo</fields>
            <document_fields>v64_tributo</document_fields>
        </select_labels>
        <select_labels id="c16_cuenta_recurso_id" id_type="PIVOT">
            <table>sdm_cuentas_contables</table>
            <id_field>c16_cuenta_contable_id</id_field>
            <fields>v128_cuenta_contable</fields>
            <document_fields>v128_cuenta_recurso</document_fields>
        </select_labels>
        <select_labels id="c16_cuenta_obligacion_id" id_type="PIVOT">
            <table>sdm_cuentas_contables</table>
            <id_field>c16_cuenta_contable_id</id_field>
            <fields>v128_cuenta_contable</fields>
            <document_fields>v128_cuenta_obligacion</document_fields>
        </select_labels>        
        <select_labels id="null"></select_labels>        
        <associations>NO</associations>
    </clase>
    <elements>c1_frecuencia_tarifa_id,c1_tipo_tarifa_id,c1_composicion_tarifa_id</elements>
    <element id="c1_frecuencia_tarifa_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>FRECUENCIA TARIFA</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            <table>sdm_frecuencia_tarifas</table>
            <keys>c1_frecuencia_tarifa_id</keys>
            <fields>v64_frecuencia_tarifa</fields>
        </clase>
    </element>
    <element id="c1_composicion_tarifa_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>COMPOSICION TARIFA</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            <table>sdm_composicion_tarifas</table>
            <keys>c1_composicion_tarifa_id</keys>
            <fields>v64_composicion_tarifa</fields>
        </clase>
    </element>    
    <element id="c1_tipo_tarifa_id">
        <properties>
            <type>combo</type>
            <data>text</data>
            <header>TIPO TARIFA</header>
            <width>10</width>
        </properties>
        <events>NO</events>
        <clase>
            <table>sdm_tipo_tarifas</table>
            <keys>c1_tipo_tarifa_id</keys>
            <fields>v64_tipo_tarifa</fields>
        </clase>
    </element>    
    <element id ="null"></element>    
    <grid>
        <columns>c16_tarifa_id,v128_tarifa,dt_desde,d82_tarifa,c16_cuenta_ingreso_id,c16_cuenta_caja_id,c16_cuenta_recurso_id,c16_cuenta_obligacion_id</columns>
        <column id="c16_tarifa_id">
            <properties>
                <type>text</type>
                <data>text</data>                
                <header>ID</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>options</elements>
            <element id="options">
                <properties>
                    <type>link</type>
                    <data>text</data>                
                </properties>        
                <events>
                    <onClick>GridOpenWindow(this)</onClick>
                </events>                
            </element>
            <element id ="null"></element>
            <method id="GridOpenWindow(this)">
                <params>component,clase,left,top,id_field</params>
                <component>gdfl</component>
                <clase>tarifas</clase>
                <left>100</left>
                <top>100</top>
                <id_field>c16_tarifa_id</id_field>                
            </method>
            <method id="null"></method>
        </column>
        <column id="v128_tarifa">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESCRIPCIO</header>
                <width>32</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_desde">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>DESDE</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>        
        <column id="d82_tarifa">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>VALOR</header>
                <width>10</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>        
        <column id="c16_cuenta_ingreso_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>INGRESO</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_cuenta_caja_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>CAJA</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_cuenta_recurso_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>RECURSOS</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c16_cuenta_obligacion_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>OBLIGACION</header>
                <width>16</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>